Bug 217735 - Review Request: tcl-tcldict - Tcl dictionary extensiuon
Review Request: tcl-tcldict - Tcl dictionary extensiuon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 12:59 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 17:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-11-29 12:59:39 EST
Spec URL: http://www.kobold.org/~wart/fedora/tcldict.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tcldict-8.5.1-1.src.rpm
Description:
The 'dict' command from Tcl 8.5, backported to Tcl 8.4.  Once Tcl is upgraded to 8.5 in Rawhide, it should Obsoletes: this package.
Comment 1 Marcela Mašláňová 2006-12-19 10:32:39 EST
I'll upgrade on Tcl 8.5 soon.

RELATED #160441
Comment 2 Marcela Mašláňová 2007-02-14 03:40:31 EST
Reopen -> waiting for new tcl 8.5.
Comment 3 Jason Tibbitts 2007-06-05 20:03:11 EDT
So what's up here?  I guess F7 didn't go to Tcl 8.5 and I'm not sure what's
going to happen with rawhide.  Does this package still need a review?
Comment 4 Wart 2007-06-05 21:18:20 EDT
This package still needs a review because F7 and current Rawhide are still using
Tcl 8.4.
Comment 5 Jason Tibbitts 2007-06-09 17:18:56 EDT
It took me a bit to figure out why this refused to build due to the requirement
for tcl-devel < 8.5.  Turns out that tcl grew an epoch.  Which is kind of
unfortunate, since tcl-devel-0:8.5 < tcl-devel-1:8.5, but there's no way around
it.  In any case, that build dependency needs to be on tcp-devel < 1:8.5.

Also, there's a static library.  Could you add a note as to why it's needed? 
Note that I know zilch about tcl extensions.  Normally I'd say it needs to be in
-static, but I don't know what this library would be used for.

I can't seem to get to upstream at the moment, so I'll have to save the source
comparison for later.

rpmlint has a couple of complaints.  This one is OK:
   W: tcldict-devel no-documentation

Generally static libraries aren't executable.  Why our dynamic libs are
executable and our static libs aren't, I don't know.
   W: tcldict-devel spurious-executable-perm 
    /usr/lib64/dict8.5.1/libdictstub8.5.1.a

Review:
? can't check upstream source.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
? can't check upstream for latest version.
X BuildRequires needs epoch on tcl-devel
* compiler flags are appropriate.
* %clean is present.
* package builds in mock after fixing deps (development, x86_64)
* package installs properly
* debuginfo package looks complete.
X rpmlint is silent.
* final provides and requires are sane.
* %check is present and all tests pass:
   Tests ended at Sat Jun 09 15:53:32 EDT 2007
   all.tcl:        Total   189     Passed  188     Skipped 1       Failed  0
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X executable .a file probably shouldn't be.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in -devel subpackage.
* no pkgconfig files.
X static libraries present, in -devel package.
* no libtool .la files.
Comment 6 Wart 2007-06-10 16:27:23 EDT
I'm trying to contact upstream to see if there is a better place from where to
download these sources.  I'll post a new spec with all of the fixes once I get a
better download URL.

The static library is a 'stub' library.  Even though it's a static .a library,
it's really used to assist in dynamic linking, even across ABI changes.  See
http://wiki.tcl.tk/285 for more details.
Comment 7 Wart 2007-06-21 14:46:17 EDT
Upstream fixed the access issues to the sources.  Here's an updated package with
the suggested fixes and updated to the latest version.  I've also changed the
name to 'tcl-tcldict' to conform with the pending tcl naming guidelines.

http://www.kobold.org/~wart/fedora/tcl-tcldict-8.5.2-1.fc7.src.rpm
http://www.kobold.org/~wart/fedora/tcl-tcldict.spec
Comment 8 Jason Tibbitts 2007-06-21 22:10:25 EDT
OK, I can grab the source now:
   6683019dcbc56965694104122b4be30d919846d897f5fb43cc94e155b679ee84  
   tclDict-8.5.2.tar.gz
The build dependencies are fine now.
rpmlint is down to the no-documentation complaint.
The permissions are fine now.
Thanks for explaining the .a file.  I guess you could explain it in the spec,
but I suspect this is something that TCL folks would understand implicitly.

APPROVED
Comment 9 Wart 2007-06-27 11:28:26 EDT
New Package CVS Request
=======================
Package Name: tcl-tcldict
Short Description: dictionary extension backported from tcl8.5
Owners: wart@kobold.org
Branches: FC-6 F-7
Comment 10 Kevin Fenzi 2007-06-27 15:54:12 EDT
cvs done.
Comment 11 Wart 2007-07-02 17:41:44 EDT
Imported and built on rawhide.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.